Mon Jun 14 22:35:15 1999  Jesse Thilo  <jthilo@gnu.org>

	* system.h: Squashed redefinition warning on some systems.

	* Attic/version.c, Makefile.am, getargs.c, reader.c:
	Have configure build version string instead of relying on ANSI string
	concatentation.

Sun May 30 13:17:48 1999  Jesse Thilo  <jthilo@gnu.org>

	* files.c: Added <unistd.h> for unlink().

	* Makefile.am, system.h: I18n fixes.

Wed May 19 11:24:34 1999  Jesse Thilo  <jthilo@gnu.org>

	* Attic/version.c, alloc.h, symtab.h:
	Protected inclusion of "config.h" with HAVE_CONFIG_H.

Sun Apr 18 16:29:23 1999  Jesse Thilo  <jthilo@gnu.org>

	* .cvsignore, Makefile.am:
	Reorganized: sources in `src', documentation in `doc'.

	* lex.c (literalchar):
	fixed the code for escaping double quotes (thanks
	Jonathan Czisny.)

Tue Apr 13 19:53:41 1999  Jesse Thilo  <jthilo@gnu.org>

	* allocate.c: Don't declare calloc() and realloc() if not necessary.

Mon Mar 22 16:30:00 1999  Jesse Thilo  <jthilo@gnu.org>

	* bison.s1: Fixed #line numbers.

Fri Feb 12 15:18:12 1999  Jesse Thilo  <jthilo@gnu.org>

	* files.c, files.h:
	Defined locations of parser files in config.h instead of Makefile.

Wed Jan 20 22:55:06 1999  Jesse Thilo  <jthilo@gnu.org>

	* LR0.c, conflicts.c, output.c, reader.c: Hush a few compiler warnings.

	* files.c: Add tryclose(), which verifies that fclose was successful.
	Hush a couple of compiler warnings.

Thu Jan 14 14:58:38 1999  Jesse Thilo  <jthilo@gnu.org>

	* gram.h, lalr.c, lex.c, lex.h, machine.h, main.c, nullable.c, output.c, print.c, reader.c, reduce.c, state.h, symtab.c, symtab.h, types.h, vmsgetargs.c, warshall.c, LR0.c, alloc.h, allocate.c, bison.s1, closure.c, conflicts.c, derives.c, files.c, files.h, getargs.c, gram.c:
	Update FSF address.

Fri Jan  8 21:17:26 1999  Jesse Thilo  <jthilo@gnu.org>

	* system.h: Don't define PACKAGE here, since config.h defines it.

Wed Dec 30 06:54:16 1998  Jesse Thilo  <jthilo@gnu.org>

	* reader.c: Update copyright date.

	* main.c:
	Ditch sprintf to statically-sized buffers in fatal/warn functions in
	favor of output directly to stderr (avoids buffer overruns).

	* reader.c: Some checks for premature EOF.

	* LR0.c, alloc.h, allocate.c, closure.c, conflicts.c, derives.c, getargs.c, gram.c, lalr.c, lex.c, main.c, nullable.c, output.c, print.c, reduce.c, symtab.c, symtab.h, warshall.c:
	Use prototypes if the compiler understands them.

	* files.c: Honor TMPDIR on Unix hosts.
	Use prototypes if the compiler understands them.

	* reader.c: Fix a couple of buffer overrun bugs.
	Use prototypes if the compiler understands them.

	* system.h: Include unistd.h and ctype.h.
	Use #ifdef instead of #if for NLS symbols.

Tue Dec 29 21:54:26 1998  Jesse Thilo  <jthilo@gnu.org>

	* Attic/version.c: Use VERSION symbol from automake for version number.

Thu Nov 26 00:44:18 1998  Jesse Thilo  <jthilo@gnu.org>

	* bison.cld, build.com, vmshlp.mar:
	Add non-RCS files from /gd/gnu/bison.

Wed Nov 25 22:21:43 1998  Jesse Thilo  <jthilo@gnu.org>

	* Attic/version.c: Build version.c automatically.

	* reader.c: Fix token numbering (used to start at 258, not 257).

	* system.h: Include config.h.

	* getargs.c: Update bug report address.

	* alloca.c, getopt.c, getopt.h, getopt1.c:
	Get latest copies of alloca.c, getopt.c, getopt.h, getopt1.c from gnu.org.

Mon Jan  5 00:25:39 1998  Richard Stallman  <rms@gnu.org>

	* files.c (openfiles): [_WIN32 && !__CYGWIN32__] Use TEMP or Temp to
	find a temporary directory, if possible.  Do not unlink files while
	they are open.

Mon Aug 25 19:40:12 1997  Richard Stallman  <rms@gnu.org>

	* reader.c (stack_offset;): Change some warni to warns.

	* lex.c (literalchar): Use warns, not warni.

Sat Jun 28 19:41:24 1997  Richard Stallman  <rms@gnu.org>

	* bison.s1: Add a Bison version comment.

	* main.c (fatal, warn, berror): Use program_name.

Wed Jun 18 17:09:27 1997  Richard Stallman  <rms@gnu.org>

	* main.c (fatal, warn, berror): Make error messages standard.
	(toomany): Improve error message text.

	* LR0.c, closure.c, conflicts.c, derives.c, files.c, lalr.c, lex.c, nullable.c, output.c, print.c, reader.c, reduce.c, symtab.c:
	new.h renamed to alloc.h.

Sat May 24 08:04:42 1997  Richard Stallman  <rms@gnu.org>

	* lex.c (literalchar): Fix the code for escaping \, " and '.

	(lex): Avoid trouble when there are many chars
	to discard in a char literal with just several chars in it.

Sat May 17 18:44:24 1997  Richard Stallman  <rms@gnu.org>

	* bison.s1: Use malloc, if using alloca is troublesome.
	(YYSTACK_USE_ALLOCA): New flag macro.
	Define it for some systems and compilers.
	(YYSTACK_ALLOC): New macro.
	(yyparse): Use YYSTACK_ALLOC to allocate stack.
	If it was malloc'd, free it.

Wed Apr 23 18:01:25 1997  Richard Stallman  <rms@gnu.org>

	* bison.s1: (alloca) [__hpux]: Always define as __builtin_alloca.

Tue Apr 22 22:23:48 1997  Richard Stallman  <rms@gnu.org>

	* bison.s1: [__hpux]: Include alloca.h (right for HPUX 10)
	instead of declaring alloca (right for HPUX 9).

	* bison.s1 (__yy_memcpy): Declare arg `count' as unsigned int.
	(yyparse): Cast third arg to __yy_memcpy to unsigned int.

Fri Jan  3 01:24:27 1997  Richard Stallman  <rms@gnu.org>

	* allocate.c: [__STDC__ or _MSC_VER]:
	Declare calloc and realloc to return void *.

Thu Jan  2 07:03:45 1997  Richard Stallman  <rms@gnu.org>

	* system.h: [_MSC_VER]: Include stdlib.h and process.h.
	[_MSC_VER] (getpid): Define as macro--translate it to _getpid.

	* main.c (main): Return FAILURE as a value.
	(printable_version): Declare arg as int, not char.

Thu Dec 19 08:24:56 1996  Richard Stallman  <rms@gnu.org>

	* files.c:
	[_MSC_VER] (XPFILE, XPFILE1): Define, if not already defined.

Wed Dec 18 02:18:10 1996  Paul Eggert  <eggert@gnu.org>

	* bison.s1 (yyparse): If __GNUC__ and YYPARSE_PARAM are both defined,
	declare yyparse to have a void * argument.

Tue Dec 17 06:20:27 1996  Richard Stallman  <rms@gnu.org>

	* reduce.c (nbits): Add some casts.

Mon Aug 12 22:17:15 1996  Richard Stallman  <rms@gnu.org>

	* bison.s1: Test _MSDOS as well as _MSDOS_.

Wed Jul 31 19:18:57 1996  Richard Stallman  <rms@gnu.org>

	* bison.s1: [__sun && __i386]: Include alloca.h.

Tue Jul 30 04:37:37 1996  Richard Stallman  <rms@gnu.org>

	* bison.s1: Comment change.

	* bison.s1: Test _MSDOS_, not MSDOS.

Sat Jun  1 22:10:15 1996  Richard Stallman  <rms@gnu.org>

	* reduce.c, reader.c, print.c, output.c, nullable.c, lex.c, lalr.c, getargs.c, derives.c, conflicts.c, closure.c, allocate.c:
	Insert `_' macro around many string constants.

	* main.c: Insert `_' macro around many string constants.

	(main): Call setlocale, bindtextdomain and textdomain.

	* system.h: [HAVE_LOCALE_H]: Include locale.h.
	[! HAVE_LOCALE_H] (setlocale): Define as no-op.
	[ENABLE_NLS]: Include libintl.h.
	[ENABLE_NLS] (gettext): Define.
	[! ENABLE_NLS] (bintextdomain, textdomain, _): Consolation definitions.
	(N_, PACKAGE, LOCALEDIR): New macros.

Sun May 12 22:17:15 1996  Richard Stallman  <rms@gnu.org>

	* bison.s1:
	(__yy_memcpy) [__cplusplus]: Reorder declarations of variables f and t.

Sat May 11 19:19:55 1996  Richard Stallman  <rms@gnu.org>

	* bison.s1 (__yy_memcpy):
	Really reorder the args, as was supposedly done on Feb 14 1995.
	(yyparse): Calls changed accordingly.

Sat Jan 27 08:26:26 1996  Richard Stallman  <rms@gnu.org>

	* output.c (output_rule_data): Test YYERROR_VERBOSE in the conditional
	around the definition of ttyname.

Fri Dec 29 04:29:18 1995  Richard Stallman  <rms@gnu.org>

	* bison.s1: Fix line numbers in #line commands.

Wed Dec 27 12:43:49 1995  Richard Stallman  <rms@gnu.org>

	* bison.s1 (YYPARSE_PARAM_DECL): In C++, make it always null.
	(YYPARSE_PARAM_ARG): New macro.
	(yyparse): Use YYPARSE_PARAM_ARG.

Mon Oct 16 14:12:01 1995  Richard Stallman  <rms@gnu.org>

	* Attic/version.c: Version 1.25.

Sun Oct 15 20:22:50 1995  Richard Stallman  <rms@gnu.org>

	* vmsgetargs.c, getargs.c: Added -n, -k, and -raw switches.
	(noparserflag, toknumflag, rawtoknumflag): New variables.

	* symtab.h (SALIAS): New #define for adding aliases to %token.
	(struct bucket): Added `alias' field.

	* reduce.c (reduce_grammar): Revise error message.
	(print_notices): Remove final `.' from error message.

	* reader.c (reader_output_yylsp): New function.
	(readgram): Use `#if 0' around code that accepted %command
	inside grammar rules:  The documentation doesn't allow it,
	and it will fail since the %command processors scan for the next %.
	(parse_token_decl):  Extended the %token
	declaration to allow a multi-character symbol as an alias.
	(parse_thong_decl): New function.
	(read_declarations): Added %thong declarations.
	(read_declarations): Handle NOOP to deal with allowing
	% declarations as another means to specify the flags.
	(readgram): Allow %prec prior to semantics embedded in a rule.
	(skip_to_char, read_declarations, copy_definition)
	(parse_token_decl, parse_start_decl, parse_type_decl)
	(parse_assoc_decl, parse_union_decl, parse_expect_decl)
	(get_type_name, copy_guard, copy_action, readgram)
	(get_type, packsymbols):  Revised most error messages.
	Changed `fatal' to `warnxxx' to avoid aborting for error.
	Revised and use multiple warnxxx functions to avoid using VARARGS1.
	(read_declarations): Improve the error message for
	an invalid character.  Do not abort.
	(read_declarations, copy_guard, copy_action): Use
	printable_version to avoid unprintable characters in printed output.
	(parse_expect_decl): Error if argument to %expect exceeds 10 digits.
	(parse_token_decl, parse_assoc_decl, parse_type_decl, get_type):
	Allow the type of a non-terminal can be given
	more than once, as long as all specifications give the same type.

	* output.c: (output_headers, output_trailers, output, output_gram)
	(output_rule_data): Implement noparserflag variable.
	Implement toknumflag variable.
	(output): Call reader_output_yylsp to output LTYPESTR.

	* main.c (main):  If reader sees an error, don't process the grammar.
	(fatals): Updated to not use VARARGS1.
	(printable_version, int_to_string, warn, warni, warns, warnss)
	(warnsss): New error reporting functions.  Avoid abort for error.

	* lex.h: Added THONG and NOOP for alias processing.
	Added SETOPT for the new code that allows setting options with %flags.

	* lex.c: Include getopt.h.  Add some extern decls.
	(safegetc): New function to deal with EOF gracefully.
	(literalchar); new function to deal with reading \ escapes.
	(lex): Use literalchar.
	(lex): Implemented "..." tokens.
	(literalchar, lex, parse_percent_token): Made tokenbuffer
	always contain the token.  This includes growing the token
	buffer while reading an integer.
	(parse_percent_token): Replaced if-else statement with percent_table.
	(parse_percent_token): Added % declarations as another
	way to specify the flags -n, -l, and -r.  Also added hooks for
	-d, -k, -y, -v, -t, -p, -b, -o, but implementation requires
	major changes to files.c.
	(lex) Retain in the incoming stream a character following
	an incorrect '/'.
	(skip_white_space, lex):  Revised most error messages
	and changed fatal to warn to avoid aborting.
	(percent_table):  Added %thong declarations.

	* gram.h: Comment changes.

	* files.c (openfiles, open_extra_files, done):  Add faction flag
	and actfile file.  Handle noparserflag.  Both for -n switch.

	* conflicts.c (resolve_sr_conflict): Remove use of alloca.

Sat May  6 05:35:44 1995  Richard Stallman  <rms@gnu.org>

	* bison.s1: Comment change.

Wed May  3 14:56:25 1995  Richard Stallman  <rms@gnu.org>

	* Attic/version.c: Version now 1.24.

	* bison.s1: Change distribution terms.

	* Attic/version.c: Version now 1.23.

Thu Feb 23 07:43:50 1995  Richard Stallman  <rms@gnu.org>

	* files.c: Test __VMS_POSIX as well as VMS.

Tue Feb 14 16:49:32 1995  Jim Meyering  <meyering@gnu.org>

	* bison.s1 (__yy_memcpy): Renamed from __yy_bcopy to avoid
	confusion.  Reverse FROM and TO arguments to be consistent with
	those of memcpy.

Thu Sep 15 21:39:22 1994  Richard Stallman  <rms@gnu.org>

	* bison.s1: Update copyright notice and GPL version.

Tue Jul 12 20:43:44 1994  Richard Stallman  <rms@gnu.org>

	* reduce.c, reader.c: entered into RCS

Sat Mar 26 20:33:04 1994  Richard Stallman  <rms@gnu.org>

	* bison.s1: entered into RCS

Fri Mar 25 22:52:41 1994  Richard Stallman  <rms@gnu.org>

	* main.c: entered into RCS

Thu Mar 24 22:54:32 1994  Richard Stallman  <rms@gnu.org>

	* conflicts.c: entered into RCS

Sun Nov 21 10:25:13 1993  Richard Stallman  <rms@gnu.org>

	* bison.s1: *** empty log message ***

Tue Oct 19 03:55:14 1993  Richard Stallman  <rms@gnu.org>

	* bison.s1: *** empty log message ***

Thu Oct 14 16:19:10 1993  Richard Stallman  <rms@gnu.org>

	* bison.s1: *** empty log message ***

Fri Sep 10 13:41:02 1993  Richard Stallman  <rms@gnu.org>

	* conflicts.c: *** empty log message ***

	* system.h: entered into RCS

Mon Sep  6 19:32:26 1993  Noah Friedman  <friedman@gnu.org>

	* Attic/version.c: entered into RCS

Sat Jul 24 08:00:44 1993  Richard Stallman  <rms@gnu.org>

	* bison.s1: *** empty log message ***

Sun Jul  4 20:07:28 1993  Richard Stallman  <rms@gnu.org>

	* bison.s1: *** empty log message ***

Sat Jun 26 20:06:51 1993  David J. MacKenzie  <djm@gnu.org>

	* getargs.c: entered into RCS

Fri Jun 25 19:11:46 1993  Richard Stallman  <rms@gnu.org>

	* getargs.c: Initial revision

Wed Jun 16 21:02:31 1993  Richard Stallman  <rms@gnu.org>

	* bison.s1: *** empty log message ***

Thu Jun  3 17:07:14 1993  Richard Stallman  <rms@gnu.org>

	* bison.s1: Initial revision

Wed Apr 28 19:15:14 1993  Noah Friedman  <friedman@gnu.org>

	* reader.c: *** empty log message ***

Fri Apr 23 16:29:13 1993  Noah Friedman  <friedman@gnu.org>

	* alloc.h: entered into RCS

Tue Apr 20 06:00:53 1993  David J. MacKenzie  <djm@gnu.org>

	* Attic/version.c: *** empty log message ***

	* files.c, allocate.c: entered into RCS

	* reader.c: *** empty log message ***

	* lex.c: entered into RCS

	* conflicts.c: Initial revision

	* symtab.c: entered into RCS

	* alloc.h: Initial revision

	* LR0.c: entered into RCS

Sun Apr 18 05:49:49 1993  Noah Friedman  <friedman@gnu.org>

	* reader.c: Initial revision

	* Attic/version.c: *** empty log message ***

Thu Apr 15 19:37:53 1993  Richard Stallman  <rms@gnu.org>

	* main.c, files.c: Initial revision

Tue Apr 13 18:52:55 1993  Richard Stallman  <rms@gnu.org>

	* Attic/version.c: Initial revision

Thu Mar 25 02:45:46 1993  Richard Stallman  <rms@gnu.org>

	* output.c: entered into RCS

Mon Jun 22 04:07:22 1992  Richard Stallman  <rms@gnu.org>

	* vmsgetargs.c: entered into RCS

Wed Jan 22 04:15:36 1992  Richard Stallman  <rms@gnu.org>

	* machine.h: entered into RCS

Sat Dec 21 00:17:44 1991  Richard Stallman  <rms@gnu.org>

	* lalr.c, closure.c: entered into RCS

Fri Dec 20 23:55:12 1991  Richard Stallman  <rms@gnu.org>

	* state.h: entered into RCS

Wed Dec 18 07:39:50 1991  Richard Stallman  <rms@gnu.org>

	* print.c, nullable.c, derives.c: entered into RCS

Sun Nov  3 02:39:18 1991  David J. MacKenzie  <djm@gnu.org>

	* warshall.c, types.h, symtab.h, lex.h, gram.c, gram.h, files.h:
	entered into RCS

Fri Sep  9 01:04:17 1988  Richard Stallman  <rms@gnu.org>

	* bison.hairy: entered into RCS

